<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>Document</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Document";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Document.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/Document.html" target="_top">Frames</a></li>
<li><a href="Document.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.corpus</div>
<h2 title="Class Document" class="title">Class Document</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.corpus.Document</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Document</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.MapReduceIndexFiles</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#dbObject">dbObject</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#docRevision">docRevision</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#filerelativepath">filerelativepath</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#processedFilename">processedFilename</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a>[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#sentencesLog">sentencesLog</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#Document()">Document</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#createAnnotatedVersion()">createAnnotatedVersion</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#CreateNew(java.lang.String,%20java.lang.String,%20java.lang.String)">CreateNew</a></strong>(java.lang.String&nbsp;filename,
         java.lang.String&nbsp;path,
         java.lang.String&nbsp;cid)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#createSentenceInfo(java.lang.String,%20int)">createSentenceInfo</a></strong>(java.lang.String&nbsp;line,
                  int&nbsp;status)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#delete()">delete</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#deleteIndex()">deleteIndex</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getAnnotatedDoc()">getAnnotatedDoc</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getAnnotatedDocByte()">getAnnotatedDocByte</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getCorpusOwner()">getCorpusOwner</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getDagAlignFilepath(java.lang.String)">getDagAlignFilepath</a></strong>(java.lang.String&nbsp;filename)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getFilerelativepath()">getFilerelativepath</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getGraphFileInfo(java.lang.String)">getGraphFileInfo</a></strong>(java.lang.String&nbsp;sid)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getGraphFileInfo(java.lang.String,%20java.lang.String)">getGraphFileInfo</a></strong>(java.lang.String&nbsp;sid,
                java.lang.String&nbsp;vid)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getGraphFragment(java.lang.String,%20java.lang.String,%20com.mongodb.BasicDBList)">getGraphFragment</a></strong>(java.lang.String&nbsp;ts,
                java.lang.String&nbsp;te,
                com.mongodb.BasicDBList&nbsp;slist)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getId()">getId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getProcessedFilename()">getProcessedFilename</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getRevisions()">getRevisions</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getSentence(java.lang.String)">getSentence</a></strong>(java.lang.String&nbsp;gid)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getSentence(java.lang.String,%20java.lang.String)">getSentence</a></strong>(java.lang.String&nbsp;gid,
           java.lang.String&nbsp;vid)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getSentencesCount()">getSentencesCount</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a>[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getSentencesLog()">getSentencesLog</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#getSID(java.lang.String)">getSID</a></strong>(java.lang.String&nbsp;line)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#indexSentences()">indexSentences</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#Retrieve(java.lang.String)">Retrieve</a></strong>(java.lang.String&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#save()">save</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#saveRevision(java.lang.String,%20java.lang.String)">saveRevision</a></strong>(java.lang.String&nbsp;title,
            java.lang.String&nbsp;user)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#updateSentence(java.lang.String,%20java.lang.String,%20java.lang.String)">updateSentence</a></strong>(java.lang.String&nbsp;sid,
              java.lang.String&nbsp;data,
              java.lang.String&nbsp;user_name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#writeOffset(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.BufferedReader)">writeOffset</a></strong>(int&nbsp;length,
           java.lang.StringBuilder&nbsp;doc,
           java.io.BufferedWriter&nbsp;out,
           java.io.BufferedReader&nbsp;source)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#writeOffsetByte(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.FileInputStream)">writeOffsetByte</a></strong>(int&nbsp;length,
               java.lang.StringBuilder&nbsp;doc,
               java.io.BufferedWriter&nbsp;out,
               java.io.FileInputStream&nbsp;source)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#writeToken(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.BufferedReader,%20java.lang.String)">writeToken</a></strong>(int&nbsp;length,
          java.lang.StringBuilder&nbsp;doc,
          java.io.BufferedWriter&nbsp;out,
          java.io.BufferedReader&nbsp;source,
          java.lang.String&nbsp;tokenId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html#writeTokenByte(int,%20java.lang.StringBuilder,%20java.io.BufferedWriter,%20java.io.FileInputStream,%20java.lang.String)">writeTokenByte</a></strong>(int&nbsp;length,
              java.lang.StringBuilder&nbsp;doc,
              java.io.BufferedWriter&nbsp;out,
              java.io.FileInputStream&nbsp;source,
              java.lang.String&nbsp;tokenId)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="dbObject">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dbObject</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject dbObject</pre>
</li>
</ul>
<a name="sentencesLog">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sentencesLog</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a>[] sentencesLog</pre>
</li>
</ul>
<a name="processedFilename">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processedFilename</h4>
<pre>private&nbsp;java.lang.String processedFilename</pre>
</li>
</ul>
<a name="filerelativepath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filerelativepath</h4>
<pre>private&nbsp;java.lang.String filerelativepath</pre>
</li>
</ul>
<a name="docRevision">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>docRevision</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a> docRevision</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Document()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Document</h4>
<pre>public&nbsp;Document()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getProcessedFilename()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProcessedFilename</h4>
<pre>public&nbsp;java.lang.String&nbsp;getProcessedFilename()</pre>
</li>
</ul>
<a name="getFilerelativepath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilerelativepath</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFilerelativepath()</pre>
</li>
</ul>
<a name="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;java.lang.String&nbsp;getId()</pre>
</li>
</ul>
<a name="getCorpusOwner()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCorpusOwner</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a>&nbsp;getCorpusOwner()</pre>
</li>
</ul>
<a name="CreateNew(java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CreateNew</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a>&nbsp;CreateNew(java.lang.String&nbsp;filename,
                 java.lang.String&nbsp;path,
                 java.lang.String&nbsp;cid)</pre>
</li>
</ul>
<a name="Retrieve(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Retrieve</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a>&nbsp;Retrieve(java.lang.String&nbsp;id)</pre>
</li>
</ul>
<a name="save()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save()</pre>
</li>
</ul>
<a name="createAnnotatedVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAnnotatedVersion</h4>
<pre>public&nbsp;void&nbsp;createAnnotatedVersion()</pre>
</li>
</ul>
<a name="getSentencesCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSentencesCount</h4>
<pre>private&nbsp;int&nbsp;getSentencesCount()
                       throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="getSentencesLog()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSentencesLog</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a>[]&nbsp;getSentencesLog()
                                        throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="createSentenceInfo(java.lang.String, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSentenceInfo</h4>
<pre>private&nbsp;int&nbsp;createSentenceInfo(java.lang.String&nbsp;line,
                     int&nbsp;status)</pre>
</li>
</ul>
<a name="getSID(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSID</h4>
<pre>private&nbsp;int&nbsp;getSID(java.lang.String&nbsp;line)</pre>
</li>
</ul>
<a name="getDagAlignFilepath(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDagAlignFilepath</h4>
<pre>private&nbsp;java.lang.String&nbsp;getDagAlignFilepath(java.lang.String&nbsp;filename)</pre>
</li>
</ul>
<a name="getSentence(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSentence</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a>&nbsp;getSentence(java.lang.String&nbsp;gid)</pre>
</li>
</ul>
<a name="getSentence(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSentence</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a>&nbsp;getSentence(java.lang.String&nbsp;gid,
                        java.lang.String&nbsp;vid)</pre>
</li>
</ul>
<a name="getGraphFragment(java.lang.String, java.lang.String, com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphFragment</h4>
<pre>public&nbsp;java.lang.String&nbsp;getGraphFragment(java.lang.String&nbsp;ts,
                                java.lang.String&nbsp;te,
                                com.mongodb.BasicDBList&nbsp;slist)
                                  throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="getAnnotatedDoc()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnnotatedDoc</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAnnotatedDoc()</pre>
</li>
</ul>
<a name="getAnnotatedDocByte()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnnotatedDocByte</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAnnotatedDocByte()</pre>
</li>
</ul>
<a name="writeOffset(int, java.lang.StringBuilder, java.io.BufferedWriter, java.io.BufferedReader)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeOffset</h4>
<pre>private&nbsp;int&nbsp;writeOffset(int&nbsp;length,
              java.lang.StringBuilder&nbsp;doc,
              java.io.BufferedWriter&nbsp;out,
              java.io.BufferedReader&nbsp;source)
                 throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="writeOffsetByte(int, java.lang.StringBuilder, java.io.BufferedWriter, java.io.FileInputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeOffsetByte</h4>
<pre>private&nbsp;int&nbsp;writeOffsetByte(int&nbsp;length,
                  java.lang.StringBuilder&nbsp;doc,
                  java.io.BufferedWriter&nbsp;out,
                  java.io.FileInputStream&nbsp;source)
                     throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="writeToken(int, java.lang.StringBuilder, java.io.BufferedWriter, java.io.BufferedReader, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeToken</h4>
<pre>private&nbsp;int&nbsp;writeToken(int&nbsp;length,
             java.lang.StringBuilder&nbsp;doc,
             java.io.BufferedWriter&nbsp;out,
             java.io.BufferedReader&nbsp;source,
             java.lang.String&nbsp;tokenId)
                throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="writeTokenByte(int, java.lang.StringBuilder, java.io.BufferedWriter, java.io.FileInputStream, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeTokenByte</h4>
<pre>private&nbsp;int&nbsp;writeTokenByte(int&nbsp;length,
                 java.lang.StringBuilder&nbsp;doc,
                 java.io.BufferedWriter&nbsp;out,
                 java.io.FileInputStream&nbsp;source,
                 java.lang.String&nbsp;tokenId)
                    throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="deleteIndex()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteIndex</h4>
<pre>public&nbsp;void&nbsp;deleteIndex()</pre>
</li>
</ul>
<a name="indexSentences()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexSentences</h4>
<pre>public&nbsp;void&nbsp;indexSentences()
                    throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getGraphFileInfo(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphFileInfo</h4>
<pre>public&nbsp;java.lang.Object[]&nbsp;getGraphFileInfo(java.lang.String&nbsp;sid,
                                  java.lang.String&nbsp;vid)</pre>
</li>
</ul>
<a name="getGraphFileInfo(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphFileInfo</h4>
<pre>public&nbsp;java.lang.Object[]&nbsp;getGraphFileInfo(java.lang.String&nbsp;sid)</pre>
</li>
</ul>
<a name="saveRevision(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveRevision</h4>
<pre>public&nbsp;boolean&nbsp;saveRevision(java.lang.String&nbsp;title,
                   java.lang.String&nbsp;user)</pre>
</li>
</ul>
<a name="updateSentence(java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateSentence</h4>
<pre>public&nbsp;boolean&nbsp;updateSentence(java.lang.String&nbsp;sid,
                     java.lang.String&nbsp;data,
                     java.lang.String&nbsp;user_name)</pre>
</li>
</ul>
<a name="getRevisions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRevisions</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;getRevisions()</pre>
</li>
</ul>
<a name="delete()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>delete</h4>
<pre>public&nbsp;void&nbsp;delete()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Document.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/Document.html" target="_top">Frames</a></li>
<li><a href="Document.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
